/*
	Figure 1.4
	Difference in hazard and survival functions, not assuming PH.
*/
version 11.0
set scheme sj
set more off
clear
use kidney_ca

quietly stpm2 trt, df(2) scale(hazard)
predict hd, hdiff1(trt 1) ci per(100)
predict sd, sdiff1(trt 1) ci
twoway (rarea hd_lci hd_uci _t, sort pstyle(ci) ///
 yline(0, lpattern(shortdash) lwidth(thin)) ) ///
 (line hd _t, sort lpattern(solid) ), xtitle("") ///
 ytitle("Mortality rate difference (per 100 person years)", size(large)) ///
 ylabel(,angle(horizontal) format(%3.0f)) ///
 legend(off) name(g1, replace)
twoway (rarea sd_lci sd_uci _t, sort pstyle(ci) ///
 yline(0, lpattern(shortdash) lwidth(thin)) ) ///
 (line sd _t, sort lpattern(solid) ) ///
 , xtitle("") ytitle("Survival probability difference", size(large)) ///
 ylabel(,angle(horizontal) format(%4.2f)) ///
 legend(off) name(g2, replace)
graph combine g1 g2, b2title("Years from randomization")
set more on
