/*
	Figure 1.1.
	Hazard functions estimated by stpm2 assuming PH.
*/
version 11.0
set scheme sj
set more off
clear
use kidney_ca

stpm2 trt, df(2) scale(hazard)
predict h0, at(trt 0) hazard
predict h1, at(trt 1) hazard
stcox trt, noshow nolog nohead
stcurve, hazard at1(trt=0) at2(trt=1) kernel(epan2) ///
 legend(off) lpattern(l -) title("") ylabel(0(1)4, angle(h)) ///
 xscale(range(0 6.2)) xlabel(0(1)6) lwidth(medthin ..) ///
 addplot(line h0 h1 _t, sort lpattern(l -) lwidth(thick ..) ///
 lcolor(gs6 ..) xtitle("Years from randomization") ///
 ytitle("Mortality rate per PY") ///
 )
set more on
