/*
	Figure 5.5
	Rotterdam data. Show fit of PH model for variable "recent".
*/
version 11.0
set scheme sj
set more off
clear
use rott2

forval j = 0 / 1 {
	sts gen Hna`j' = na if recent==`j'
	sts gen Hlb`j' = lb(na) if recent==`j'
	sts gen Hub`j' = ub(na) if recent==`j'
}
stpm2 recent, df(3) scale(hazard)
predict H0, cumhazard zero
predict H1, cumhazard at(recent 1)
line Hna0 H0 Hna1 H1 _t, sort lpattern(l - l -) lcolor(gs8 gs4 gs8 gs4) ///
 lwidth(medthick ..) legend(order(1 2) label(1 "Nelson-Aalen estimator") ///
 label(2 "PH(3) model") ring(0) pos(11) col(1)) ///
 ytitle("Cumulative recurrence rate") xtitle("Years from surgery") ///
 ylabel(, angle(h) format(%4.1f))
set more on
