/*
	Table 5.3
	Rotterdam data. Regression coefficients for various models for
	positive nodes dummy variables.
*/
version 11.0
set scheme sj
set more off
clear
use rott2

gen byte n1 = (nodes > 0) & (nodes <= 3)
gen byte n2 = (nodes > 3) & (nodes <= 9)
gen byte n3 = (nodes > 9)
stcox n1 n2 n3, nohr nolog
streg n1 n2 n3, di(exp) nohr nolog
streg n1 n2 n3, di(wei) nohr nolog
forvalues j = 2 / 4 {
	stpm2 n1 n2 n3, nolog df(`j') scale(hazard)
}
set more on
