/*
	Chapter 7: demonstration of stratification
	Fits stratified Cox and RP model.
	Includes figure 7.20.
*/
version 11.0
clear
use ew_breast_ch7

stset survtime, failure(dead==1) exit(time 5) id(ident)
range temptime 0.003 5 200
stcox dep5, strata(region) nolog noshow
xi:stpm2 dep5 i.region, scale(hazard) df(5) nolog ///
	tvc(i.region) dftvc(5) eform

predict h if dep5==0, hazard per(1000)

// Figure 7.20
twoway	(line h _t if region == 1, sort) ///
		(line h _t if region == 2, sort) ///
		(line h _t if region == 3, sort) ///
		(line h _t if region == 4, sort) ///		
		(line h _t if region == 5, sort) ///		
		(line h _t if region == 6, sort) ///		
		(line h _t if region == 7, sort) ///		
		(line h _t if region == 8, sort) ///										
		(line h _t if region == 9, sort) ///	
		, yscale(log) legend(off) ///
		ylabel(50 100 200 300 400,angle(h)) ///
		 ytitle("Mortality rate (per 1000 PYs)") ///
		xtitle("Time from diagnosis (years)") 
