/*
	Chapter 8
	Poisson splines relative survival model: generate data
*/	
set more off
clear all
set memory 500m
use ew_breast_ch8

stset survtime, failure(dead==1) exit(time 5) id(ident)
strs using popmort_uk, ///
	breaks(0(`=1/12')5) noshow ///
	diagage(agediag) diagyear(yeardiag) ///
	attage(age) attyear(year) ///
	mergeby(sex region dep year age) ///
	survprob(survprob) ///
	by(agegroup) ///
	notables savgroup(breast_grouped_narrow, replace)
set more on
