/*
	Chapter 8
	Popmort file listing and graph (figure 8.1)
*/	
version 11.0
set more off
clear
use popmort_uk

/* list data */
list if region == 1 & sex == 2 & dep == 1 & inrange(age,70,79) & year == 1990, noobs

/* graph of mortality as a function of age by deprivation group */
replace rate = rate*100000
twoway	(line rate age if dep == 1 & region == 1 & sex == 2 & year == 1995, sort lpattern(solid)) ///
		(line rate age if dep == 2 & region == 1 & sex == 2 & year == 1995, sort lpattern(longdash)) ///
		(line rate age if dep == 3 & region == 1 & sex == 2 & year == 1995, sort lpattern(dash)) ///
		(line rate age if dep == 4 & region == 1 & sex == 2 & year == 1995, sort lpattern(shortdash)) ///
		(line rate age if dep == 5 & region == 1 & sex == 2 & year == 1995, sort lpattern(dot)) ///
		, yscale(log) ylabel(5 10 50 100 500 1000 5000 20000,format(%9.0f) angle(h)) ///
		xtitle(Age) ytitle("Mortality rate (per 100000 PYs)") ///
		legend(order(1 "Least deprived" 2 "2" 3 "3" 4 "4" 5 "Most deprived") ring(0) pos(5) cols(1) ///
		title("Deprivation group"))
set more on
