/*
	Chapter 9
	Figure 9.11
	Prostate cancer data. Plot outcome-dependent coefficient of weight
	aginst log PSA.
*/
version 11.0
set scheme sj
set more off
clear
use prostate_ca

rename lpsa y
gen psa = exp(y)
stset psa
gen lncavol = ln(cavol)
stpm2 lncavol svi weight, dftvc(1) tvc(weight) df(1) scale(normal)
predict tw, tvc(weight) ci
twoway (rarea tw_lci tw_uci y, pstyle(ci) sort) ///
 (line tw y, sort lstyle(refline) pstyle(p2) ) ///
 , ytitle("Outcome-dependent coefficient of weight") ///
 xtitle("Log PSA") ylab(, angle(h) format(%4.2f)) legend(off)

stpm2 lncavol svi weight, dftvc(1) tvc(weight) df(1) scale(normal)
predict median, centile(50)

gen lmedian = ln(median)
qui corr y lmedian
di "R2 = " r(rho)^2
