/*
	Chapter 9
	Multiple events
*/
version 11.0
set more off
clear
use bladder_ag_pwp

list id start rec event strata if inrange(id,11,14), sepby(id) noobs

stset rec, failure(event = 1) enter(start) id(id) exit(time .)
stcox group size number, nohr efron vce(cluster id) nolog noshow

stpm2 group size number, df(4) scale(hazard) vce(cluster id) nolog

/* WLW model */
use bladder_wlw, clear

list id  rec event strata if inrange(id,11,14), sepby(id) noobs

stset rec, failure(event = 1) 
stcox group size number, nohr efron vce(cluster id) nolog strata(strata) noshow
tab strata, gen(st)
stpm2 group size number st2 st3 st4, df(4) scale(hazard) vce(cluster id) nolog tvc(st2 st3 st4) dftvc(2)

/* PWP Model */
use bladder_ag_pwp, clear

stset rec, failure(event = 1) enter(start) id(id) exit(time .)
stcox group size number, nohr efron vce(cluster id) nolog strata(strata) noshow
tab strata, gen(st)
stpm2 group size number st2 st3 st4, df(4) scale(hazard) vce(cluster id) nolog tvc(st2 st3 st4) dftvc(2) diff
set more on
